package xyz.tbvns;

import com.badlogic.gdx.graphics.Pixmap;

import java.awt.image.BufferedImage;

public class Utils {
    private BufferedImage pixmapToBufferedImage(Pixmap img) {
        int w = img.getWidth(), h = img.getHeight();

        int[] pixels = new int[w * h];
        img.getPixels().asIntBuffer().get(pixels);

        BufferedImage out = new BufferedImage(w, h, BufferedImage.TYPE_INT_ARGB);
        out.setRGB(0, 0, w, h, pixels, 0, w);
        return out;
    }

    /**
     * @return The percent of the X axis of the camera position compared to the level size
     * @apiNote This is not a percentage but goes from 0 to 1
     */
    public static float getCameraPercent() {
        return Main.getCamera().position.x / (LevelInfo.getLevel().getMaxPos() / 30);
    }
//
//    public static float percentToTime() {
//        //TODO: add that
//    }
}
